input:not([type=checkbox]):not([type=radio]),
textarea,
select {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

input, textarea {
    outline: none;
    &:focus:required:invalid { border-color: red }
    &:required:valid { border-color: green }
}

input:active, input:focus {
    outline: none !important;
}
input::-moz-focus-inner {
    border: 0 !important;
}

option::selection {background: #ccc;}
option::-moz-selection {background: #ccc;}
option::-webkit-selection {background: #ccc; color:#fff;}

.field {
    display: block;
    position: relative;
    background: transparent;
    $input-selector: "input[type=text], input[type=email], input[type=password], textarea";

    #{$input-selector} {
        margin: 0;
        width: 100%;
        height: rem(54);
        border: none;
        outline: none;
        color: #5b3d38;
        box-shadow: none;
        font-weight: 400;
        font-size: rem(17);
        line-height: rem(24);
        padding: rem(14) 0;
        background: #fff;
        display: inline-block;
        vertical-align: middle;
        border-bottom: rem(1) solid $black;
        border-radius: 0;
        @include placeholder($black);

        &::-ms-clear {
            display: none;
            width: 0;
            height: 0;
        }

        &:focus,
        &:active {
            outline: none;
            @include placeholder(transparent);
            box-shadow: 0 0 0 size-rel(5px) rgba(92, 173, 255, 0.5);
        }


        &.error {
            border-color: red !important;
        }
    }


    textarea {
        height: auto;
        resize: none;
    }
}

.form-button {
    padding-top: rem(12);
    margin-bottom: rem(32);
}
